Automatic Bug reporting Tool Crashed [ Solved ]

Issues related to applications and software problems
hemanthbitra
Posts: 207
Joined: 2015/11/11 13:52:53
Location: Hyderbad,Telangana,India
Contact:

Automatic Bug reporting Tool Crashed [ Solved ]

Post by hemanthbitra » 2017/05/03 10:59:38

Hello team,

When login to my system it is showing Automatic Bur reporting Tool Crashed
I am getting this error after installing postgres 9.6 EDB pgAdmin 4

When i run the yum command to update python it showing error as below

Code: Select all

sudo yum update python
There was a problem importing one of the Python modules
required to run yum. The error leading to this problem was:

   /lib64/libkrb5.so.3: symbol krb5int_labeled_open, version krb5support_0_MIT not defined in file libkrb5support.so.0 with link time reference

Please install a package which provides this module, or
verify that the module is installed correctly.

It's possible that the above module doesn't match the
current version of Python, which is:
2.7.5 (default, Nov  6 2016, 00:28:07) 
[GCC 4.8.5 20150623 (Red Hat 4.8.5-11)]

If you cannot solve this problem yourself, please go to 
the yum faq at:
  http://yum.baseurl.org/wiki/Faq
Error image Image

Can anyone help on this issue please.

Thanks and regards,
Hemanth
Last edited by hemanthbitra on 2018/05/26 18:19:18, edited 1 time in total.

User avatar
TrevorH
Forum Moderator
Posts: 25590
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Automatic Bur reporting Tool Crashed

Post by TrevorH » 2017/05/03 14:22:02

The file it is complaining about, libkrb5support.so.0, is owned by the krb5-libs package. I suggest downloading the latest version from a mirror and using rpm to install it. If you yum update to a new point release, you must update all packages not just selected packages as there are sometimes dependencies on newer versions of libraries so updating one package might not pull in the right things.
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke

hemanthbitra
Posts: 207
Joined: 2015/11/11 13:52:53
Location: Hyderbad,Telangana,India
Contact:

Re: Automatic Bur reporting Tool Crashed

Post by hemanthbitra » 2017/05/03 15:59:42

TrevorH wrote:The file it is complaining about, libkrb5support.so.0, is owned by the krb5-libs package. I suggest downloading the latest version from a mirror and using rpm to install it. If you yum update to a new point release, you must update all packages not just selected packages as there are sometimes dependencies on newer versions of libraries so updating one package might not pull in the right things.
i have tried to install krb5-libs packages but i says it is already installed .

i have download file from this site: https://rpmfind.net/linux/rpm2html/sear ... =krb5-libs

Code: Select all

sudo rpm -ivh krb5-libs-1.14.1-27.el7_3.x86_64.rpm 
Preparing...                          ################################# [100%]
	package krb5-libs-1.14.1-27.el7_3.x86_64 is already installed

User avatar
TrevorH
Forum Moderator
Posts: 25590
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Automatic Bur reporting Tool Crashed

Post by TrevorH » 2017/05/03 16:39:17

First try rpm -V krb5-libs and see if it reports any output. If you need to reinstall it you will need to use rpm -U and probably will need to force it. Last resort.
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke

hemanthbitra
Posts: 207
Joined: 2015/11/11 13:52:53
Location: Hyderbad,Telangana,India
Contact:

Re: Automatic Bur reporting Tool Crashed

Post by hemanthbitra » 2017/05/04 06:23:25

TrevorH wrote:First try rpm -V krb5-libs and see if it reports any output. If you need to reinstall it you will need to use rpm -U and probably will need to force it. Last resort.

I have tried below commands but i didn't get

Code: Select all

$rpm -V krb5-libs
$ sudo rpm -V krb5-libs
$ sudo rpm --verify krb5-libs
When i run below commands i'm getting output

Code: Select all

rpm -q krb5-libs --queryformat "%{EPOCH}:%{NAME}-%{VERSION}-%{RELEASE}\n"
(none):krb5-libs-1.14.1-27.el7_3
(none):krb5-libs-1.14.1-27.el7_3

$ rpm -ql krb5-libs
/etc/gss
/etc/gss/mech.d
/etc/krb5.conf
/etc/krb5.conf.d
/usr/lib64/krb5
/usr/lib64/krb5/plugins
/usr/lib64/krb5/plugins/authdata
/usr/lib64/krb5/plugins/kdb
/usr/lib64/krb5/plugins/libkrb5
/usr/lib64/krb5/plugins/preauth
/usr/lib64/krb5/plugins/tls
/usr/lib64/krb5/plugins/tls/k5tls.so
/usr/lib64/libgssapi_krb5.so.2
/usr/lib64/libgssapi_krb5.so.2.2
/usr/lib64/libgssrpc.so.4
/usr/lib64/libgssrpc.so.4.2
/usr/lib64/libk5crypto.so.3
/usr/lib64/libk5crypto.so.3.1
/usr/lib64/libkdb5.so.8
/usr/lib64/libkdb5.so.8.0
/usr/lib64/libkrad.so.0
/usr/lib64/libkrad.so.0.0
/usr/lib64/libkrb5.so.3
/usr/lib64/libkrb5.so.3.3
/usr/lib64/libkrb5support.so.0
/usr/lib64/libkrb5support.so.0.1
/usr/share/doc/krb5-libs-1.14.1
/usr/share/doc/krb5-libs-1.14.1/NOTICE
/usr/share/doc/krb5-libs-1.14.1/README
/usr/share/licenses/krb5-libs-1.14.1
/usr/share/licenses/krb5-libs-1.14.1/LICENSE
/usr/share/locale/en_US/LC_MESSAGES/mit-krb5.mo
/usr/share/man/man5/.k5identity.5.gz
/usr/share/man/man5/.k5login.5.gz
/usr/share/man/man5/k5identity.5.gz
/usr/share/man/man5/k5login.5.gz
/usr/share/man/man5/krb5.conf.5.gz
/var/kerberos
/var/kerberos/krb5
/var/kerberos/krb5/user
/etc/gss
/etc/gss/mech.d
/etc/krb5.conf
/etc/krb5.conf.d
/usr/lib/krb5
/usr/lib/krb5/plugins
/usr/lib/krb5/plugins/authdata
/usr/lib/krb5/plugins/kdb
/usr/lib/krb5/plugins/libkrb5
/usr/lib/krb5/plugins/preauth
/usr/lib/krb5/plugins/tls
/usr/lib/krb5/plugins/tls/k5tls.so
/usr/lib/libgssapi_krb5.so.2
/usr/lib/libgssapi_krb5.so.2.2
/usr/lib/libgssrpc.so.4
/usr/lib/libgssrpc.so.4.2
/usr/lib/libk5crypto.so.3
/usr/lib/libk5crypto.so.3.1
/usr/lib/libkdb5.so.8
/usr/lib/libkdb5.so.8.0
/usr/lib/libkrad.so.0
/usr/lib/libkrad.so.0.0
/usr/lib/libkrb5.so.3
/usr/lib/libkrb5.so.3.3
/usr/lib/libkrb5support.so.0
/usr/lib/libkrb5support.so.0.1
/usr/share/doc/krb5-libs-1.14.1
/usr/share/doc/krb5-libs-1.14.1/NOTICE
/usr/share/doc/krb5-libs-1.14.1/README
/usr/share/licenses/krb5-libs-1.14.1
/usr/share/licenses/krb5-libs-1.14.1/LICENSE
/usr/share/locale/en_US/LC_MESSAGES/mit-krb5.mo
/usr/share/man/man5/.k5identity.5.gz
/usr/share/man/man5/.k5login.5.gz
/usr/share/man/man5/k5identity.5.gz
/usr/share/man/man5/k5login.5.gz
/usr/share/man/man5/krb5.conf.5.gz
/var/kerberos
/var/kerberos/krb5
/var/kerberos/krb5/user

User avatar
TrevorH
Forum Moderator
Posts: 25590
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Automatic Bur reporting Tool Crashed

Post by TrevorH » 2017/05/04 12:22:06

If rpm -V krb5-libs returns no output then it means all files match and are correct so there is no point in attempting to reinstall the package.
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke

hemanthbitra
Posts: 207
Joined: 2015/11/11 13:52:53
Location: Hyderbad,Telangana,India
Contact:

Re: Automatic Bur reporting Tool Crashed

Post by hemanthbitra » 2017/05/05 04:55:32

TrevorH wrote:If rpm -V krb5-libs returns no output then it means all files match and are correct so there is no point in attempting to reinstall the package.
Can you please help why i am automatic bug reporting tool crash error

User avatar
TrevorH
Forum Moderator
Posts: 25590
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Automatic Bug reporting Tool Crashed

Post by TrevorH » 2017/05/05 06:25:41

Is yum update working?
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke

hemanthbitra
Posts: 207
Joined: 2015/11/11 13:52:53
Location: Hyderbad,Telangana,India
Contact:

Re: Automatic Bug reporting Tool Crashed

Post by hemanthbitra » 2017/05/05 13:55:59

TrevorH wrote:Is yum update working?
Not working

getting same error as below

Code: Select all

$sudo yum update
There was a problem importing one of the Python modules
required to run yum. The error leading to this problem was:

   /lib64/libkrb5.so.3: symbol krb5int_labeled_open, version krb5support_0_MIT not defined in file libkrb5support.so.0 with link time reference

Please install a package which provides this module, or
verify that the module is installed correctly.

It's possible that the above module doesn't match the
current version of Python, which is:
2.7.5 (default, Nov  6 2016, 00:28:07) 
[GCC 4.8.5 20150623 (Red Hat 4.8.5-11)]

If you cannot solve this problem yourself, please go to 
the yum faq at:
  http://yum.baseurl.org/wiki/Faq

User avatar
TrevorH
Forum Moderator
Posts: 25590
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Automatic Bug reporting Tool Crashed

Post by TrevorH » 2017/05/05 14:28:29

/lib64/libkrb5.so.3: symbol krb5int_labeled_open, version krb5support_0_MIT not defined in file libkrb5support.so.0 with link time reference
So /lib64/libkrb5.so.3 is shipped by krb5-libs.x86_64 and so is /lib64/libkrb5support.so.0 and yet you say that rpm -V krb5-libs.x86_64 returns no output which means that the files it ships are OK. So the only remaining option that I can think of that something has supplied a copy of libkrb5support.so.0 that isn't in /lib64/ and is being picked up in preference to the CentOS supplied one that is in /lib64/. I've verifed that my copy of /lib64/libkrb5support.so.0 contains the string krb5support_0_MIT so the foreign copy of the lib sounds like the most likely to me. Check in e.g. /usr/local/lib to see if you have a copy there. Failing that I'd try find / -type f -name "libkrb5support.so.0" and sit back and get a cup of coffee while it runs.
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke

Post Reply